Get all subscription price adjustment variables
get
/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the subscription price adjustment variable with the primary key.
Finder Variables- VariableId; integer; The variable identifier bind variable for the primary key finder of subscription price adjustment variables.
- VariableNumberAltKey Finds the subscription price adjustment variable with the variable number alternate key.
Finder Variables- VariableNumber; string; The variable number bind variable for the variable number alternate key finder.
- PrimaryKey Finds the subscription price adjustment variable with the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ActiveFlag; boolean; Indicates whether the subscription price adjustment variable is active or not.
- CreatedBy; string; The user who created the subscription price adjustment variable.
- CreationDate; string; The creation date of the subscription price adjustment variable.
- LastUpdateDate; string; The last update date of the subscription price adjustment variable.
- LastUpdateLogin; string; The login of the user who last updated the subscription price adjustment variable.
- LastUpdatedBy; string; The user who last updated the subscription price adjustment variable.
- ObjectVersionNumber; integer; The object version number of the subscription price adjustment variable.
- VariableDescription; string; Description
- VariableId; integer; The unique identifier of the subscription price adjustment variable.
- VariableName; string; The name of the subscription price adjustment variable.
- VariableNumber; string; The number of the subscription price adjustment variable.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : subscriptionPriceAdjustmentVariables
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionPriceAdjustmentVariables-item-response
Type:
Show Source
object-
ActiveFlag: boolean
Title:
ActiveMaximum Length:1Default Value:trueIndicates whether the subscription price adjustment variable is active or not. -
CreatedBy: string
Read Only:
trueMaximum Length:64The user who created the subscription price adjustment variable. -
CreationDate: string
(date-time)
Read Only:
trueThe creation date of the subscription price adjustment variable. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe last update date of the subscription price adjustment variable. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who last updated the subscription price adjustment variable. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login of the user who last updated the subscription price adjustment variable. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
The object version number of the subscription price adjustment variable.
-
priceAdjustmentVariableValues: array
Subscription Price Adjustment Variable Values
Title:
Subscription Price Adjustment Variable ValuesThe price adjustment variable values resource stores values for subscription price adjustment variables. -
smartActions: array
Smart Actions
Title:
Smart ActionsThis VO stores the endpoint and security details for every user action. -
VariableDescription: string
Title:
DescriptionMaximum Length:240Description -
VariableId: integer
(int64)
The unique identifier of the subscription price adjustment variable.
-
VariableName: string
Title:
NameMaximum Length:100The name of the subscription price adjustment variable. -
VariableNumber: string
Title:
IdentifierMaximum Length:120The number of the subscription price adjustment variable.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Subscription Price Adjustment Variable Values
Type:
arrayTitle:
Subscription Price Adjustment Variable ValuesThe price adjustment variable values resource stores values for subscription price adjustment variables.
Show Source
Nested Schema : Smart Actions
Type:
arrayTitle:
Smart ActionsThis VO stores the endpoint and security details for every user action.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : subscriptionPriceAdjustmentVariables-priceAdjustmentVariableValues-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:64The user who created the price adjustment variable value. -
CreationDate: string
(date-time)
Read Only:
trueThe creation date of the price adjustment variable value. -
EndDate: string
(date)
Title:
End DateThe end date of the price adjustment variable value. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe last update date of the price adjustment variable value. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who last updated the price adjustment variable value. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login of the user who last updated the price adjustment variable value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
The object version number of the price adjustment variable value.
-
StartDate: string
(date)
Title:
Start DateThe start date of the price adjustment variable value. -
VariableId: integer
(int64)
The identifier of the related subscription price adjustment variable.
-
VariableValue: number
Title:
ValueThe value of the price adjustment variable. -
VariableValueId: integer
(int64)
The unique identifier of the price adjustment variable value.
-
VariableValuePuid: string
Title:
IdentifierMaximum Length:120The public unique identifier of the price adjustment variable value.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionPriceAdjustmentVariables-smartActions-item-response
Type:
Show Source
object-
ActionContextParameters: string
Title:
Action Context ParametersMaximum Length:1000Determines the context when a smart action is applicable. -
ActionIntent: string
(byte)
Title:
Action IntentJSON object that describes what an action does and what context data can be passed to the action. -
ActionSource: string
Title:
Action SourceMaximum Length:512Attribute that describes the source of a smart action. Smart actions can be manually created or cloned, or automatically generated. -
ActiveFlag: boolean
Title:
ActiveMaximum Length:1Boolean value indicating if the action is active or inactive. -
ApplicationRoles: string
Title:
Application RolesMaximum Length:2000The application roles associated with the smart action. -
Condition: string
Title:
Filter ConditionMaximum Length:1000Groovy script used to qualify this action. -
ConfirmationMessage: string
Title:
Confirmation MessageMaximum Length:4000A message to seek confirmation for the action being performed. -
ContentType: string
Title:
Content TypeMaximum Length:50The content type to use when invoking the REST endpoint. -
ContextualFlag: boolean
Title:
ContextualMaximum Length:1Indicates if the smart action is contextual. -
DataPrivilege: string
Title:
Data Security PrivilegeMaximum Length:250JSON string containing the Privilege name, the object name, and the object key. -
DisplayLabel: string
Title:
Action NameMaximum Length:256Consumer-friendly action name. -
Entity: string
Title:
Parent EntityMaximum Length:150REST Resources the action belongs to. -
Href: string
Title:
REST EndpointMaximum Length:1024The REST endpoint to perform the action. -
IncludedIn: string
Title:
Included InMaximum Length:150The view object this action is part of. Could contain more than one comma-separated value. -
IncludedInApplication: string
Title:
Included in ApplicationMaximum Length:512List of applications that this action can be used in. -
InternalFlag: boolean
Title:
RestrictedMaximum Length:1Boolean type indicating if this action is internal. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MassActionFlag: boolean
Title:
Mass ActionMaximum Length:1Boolean type indicating if this action can be mass processed. -
Method: string
Title:
HTTP MethodMaximum Length:15HTTP method to use with HREF. -
ObjectFunctionName: string
Title:
Object FunctionMaximum Length:64The object function associated with the smart action. -
PageType: string
Title:
Page TypeMaximum Length:256The list of pages that this action can be used in. -
SmartSuggestFlag: boolean
Title:
Smart SuggestMaximum Length:1Indicates if smart suggest is enabled for the action. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Boolean type indicating if the action is seeded or custom. -
UpdateOfAttributes: string
Title:
Attributes to UpdateMaximum Length:512Attributes to be updated when the Actions UI is launched. -
UserActionId: integer
(int64)
Title:
User Action IDUniquely identifies the action. For internal use. -
UserActionName: string
Title:
Action NameMaximum Length:256Uniquely identifies the action with a name. For internal use. - UserActionNavigation: array Smart Action User Interface Definitions
-
UserActionRank: integer
(int64)
Title:
PriorityNumber to indicate priority of the action. -
UserActionRequestPayload: array
Smart Action REST Payload Definitions
Title:
Smart Action REST Payload DefinitionsIf an LOV required for constructing a request payload needs to post data, the payload metadata is stored here. -
UserActionURLBinding: array
Smart Action User Interface Definitions
Title:
Smart Action User Interface DefinitionsBinding metadata for a variable in the URL. -
UserPrivilege: string
Title:
User Security PrivilegeMaximum Length:4000The user security privilege.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Smart Action REST Payload Definitions
Type:
arrayTitle:
Smart Action REST Payload DefinitionsIf an LOV required for constructing a request payload needs to post data, the payload metadata is stored here.
Show Source
Nested Schema : Smart Action User Interface Definitions
Type:
arrayTitle:
Smart Action User Interface DefinitionsBinding metadata for a variable in the URL.
Show Source
Nested Schema : subscriptionPriceAdjustmentVariables-smartActions-UserActionRequestPayload-item-response
Type:
Show Source
object-
Binding: string
Title:
Payload Value Binding TypeMaximum Length:64Indicates the binding type of the value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MandatoryFlag: boolean
Title:
MandatoryMaximum Length:1Boolean value indicating if the payload is mandatory. -
RequestPayloadId: integer
(int64)
Uniquely identifies the payload for smart actions. For internal use.
-
RequestPayloadName: string
Title:
Request Payload Attribute NameMaximum Length:256The key in the Key Value pair that forms the payload. -
SmartSuggestPath: string
Title:
Smart Suggest PathMaximum Length:2048The path used for smart suggest. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Default Value:falseBoolean value. -
Value: string
Title:
Request Payload Attribute ValueMaximum Length:1000The value in the Key Value pair that forms the payload. -
ValueStruct: string
Title:
Payload Value StructureMaximum Length:20If the value in the Key Value pair isn't a single value, this would be set.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionPriceAdjustmentVariables-smartActions-UserActionURLBinding-item-response
Type:
Show Source
object-
Binding: string
Title:
URL Binding TypeMaximum Length:64This is a hint for processing the Url Binding runtime. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Default Value:falseBoolean indicator. -
URLBindingId: integer
(int64)
Uniquely identifies the URL Bind for smart actions. For internal use.
-
URLBindingName: string
Title:
URL Binding Parameter NameMaximum Length:256For action REST endpoints that require runtime binding, this is the key in the key value pair. -
Value: string
Title:
URL Binding Parameter ValueMaximum Length:1000For action REST endpoints that require runtime binding, this is the value in the key value pair.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Examples
The following example shows how to get all subscription price adjustment variables by submitting a request on the REST resource using cURL.
cURL Command
curl -u <username:password> \ -X GET
https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables
\ -H 'Content-Type: application/json'
Example of Response Body
The following shows an example of the response body in JSON
format.
{
"items": [
{
"VariableId": 300100649017378,
"VariableNumber": "CDRM_5014",
"VariableName": "PSR TEST",
"VariableDescription": null,
"ActiveFlag": true,
"CreatedBy": "User",
"CreationDate": "2026-02-06T05:24:14+00:00",
"LastUpdateDate": "2026-02-06T05:24:14.203+00:00",
"LastUpdateLogin": "49FA280F81C6539CE0630278060ABDB7",
"LastUpdatedBy": "User",
"ObjectVersionNumber": 1,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables/CDRM_5014",
"name": "subscriptionPriceAdjustmentVariables",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables/CDRM_5014",
"name": "subscriptionPriceAdjustmentVariables",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables/CDRM_5014/child/priceAdjustmentVariableValues",
"name": "priceAdjustmentVariableValues",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables/CDRM_5014/child/smartActions",
"name": "smartActions",
"kind": "collection"
}
]
},
{
"VariableId": 300100651871123,
"VariableNumber": "CPI_UL",
"VariableName": "CPI_2026",
"VariableDescription": null,
"ActiveFlag": true,
"CreatedBy": "SCMOPERATIONS",
"CreationDate": "2026-02-20T16:34:53+00:00",
"LastUpdateDate": "2026-02-20T16:34:53.033+00:00",
"LastUpdateLogin": "49FA0EDDB1A052F3E0630278060AC62E",
"LastUpdatedBy": "SCMOPERATIONS",
"ObjectVersionNumber": 1,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables/CPI_UL",
"name": "subscriptionPriceAdjustmentVariables",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables/CPI_UL",
"name": "subscriptionPriceAdjustmentVariables",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables/CPI_UL/child/priceAdjustmentVariableValues",
"name": "priceAdjustmentVariableValues",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables/CPI_UL/child/smartActions",
"name": "smartActions",
"kind": "collection"
}
]
}
],
"count": 2,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionPriceAdjustmentVariables",
"name": "subscriptionPriceAdjustmentVariables",
"kind": "collection"
}
]
}